Skip to main content
POST
/
youtube-source
Import YouTube video
curl --request POST \
  --url https://api.gleap.io/v3/youtube-source \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'project: <project>' \
  --data '
{
  "url": "<string>",
  "batchId": "<string>"
}
'
{
  "status": "<string>",
  "videoId": "<string>",
  "jobId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.gleap.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

project
string
required

Body

application/json
url
string
required
batchId
string

Response

200 - application/json

Ok

status
string
required
videoId
string
required
jobId
string
required